Users/amaverma/m8 log4j upgrade

Merged Aman Verma requested to merge users/amaverma/M8Log4jUpgrade into Azure/OSDU-Indexer-M8-Master

All the versions <= 2.14 for slf4j have known security vulnerability. The recommendation is that we upgrade to 2.15.0 immediately.

Part of the #48 (closed) series

Edited by David Diederich

Merge request reports